#! /bin/bash

KEXTFOLDER=~/Desktop/Kexts_`date +%F_%Hh%M`
mkdir $KEXTFOLDER
cd $KEXTFOLDER
mkdir _KEXTS_
git clone https://github.com/acidanthera/MacKernelSDK
git clone https://github.com/acidanthera/AppleALC
git clone https://github.com/acidanthera/CPUFriend
git clone https://github.com/acidanthera/Lilu
git clone https://github.com/acidanthera/NVMeFix
git clone https://github.com/acidanthera/VirtualSMC
git clone https://github.com/acidanthera/WhateverGreen
for i in AppleALC CPUFriend Lilu NVMeFix VirtualSMC WhateverGreen; do cp -r MacKernelSDK $i; done
cd Lilu; xcodebuild -configuration Debug
for i in ../AppleALC ../CPUFriend ../NVMeFix ../VirtualSMC ../WhateverGreen; do cp -r build/Debug/Lilu.kext $i; done
cd ../AppleALC; xcodebuild
cd ../CPUFriend; xcodebuild
cd ../Lilu; xcodebuild
cd ../NVMeFix; xcodebuild
cd ../VirtualSMC; xcodebuild
cd ../WhateverGreen; xcodebuild
cd ..
mv AppleALC/build/Release/AppleALC.kext ./_KEXTS_
mv CPUFriend/build/Release/CPUFriend.kext ./_KEXTS_
mv Lilu/build/Release/Lilu.kext ./_KEXTS_
mv NVMeFix/build/Release/NVMeFix.kext ./_KEXTS_
mv VirtualSMC/build/Release/VirtualSMC.kext ./_KEXTS_
mv VirtualSMC/build/Release/SMCProcessor.kext ./_KEXTS_
mv VirtualSMC/build/Release/SMCSuperIO.kext ./_KEXTS_
mv WhateverGreen/build/Release/WhateverGreen.kext ./_KEXTS_
open ./_KEXTS_
